package models_test

import (
	"gitea.deepak.science/deepak/gogmagog/models"
)

func (e *errorStore) SelectActions() ([]*models.Action, error) {
	return nil, e.error
}

func (e *errorStore) SelectActionByID(id int) (*models.Action, error) {
	return nil, e.error
}

func (e *errorStore) InsertAction(action *models.Action) (int, error) {
	return 0, e.error
}

func (e *errorStore) SelectPlans() ([]*models.Plan, error) {
	return nil, e.error
}

func (e *errorStore) SelectPlanByID(id int) (*models.Plan, error) {
	return nil, e.error
}

func (e *errorStore) InsertPlan(plan *models.Plan) (int, error) {
	return 0, e.error
}

func (e *errorStore) SelectActionsByPlanID(plan *models.Plan) ([]*models.Action, error) {
	return nil, e.error
}

func (e *errorStore) ConnectionLive() error {
	return e.error
}

type errorStore struct {
	error error
}

func getErrorModel(err error) *models.Model {
	e := &errorStore{error: err}
	return models.New(e)
}
